---
title: Looking for help?
template: docs
taxonomy:
    category: docs
routes:
  default: '/help'
---

## How to ask for help

[columns count=2 width=200px]
!!!! - **Be courteous**: help in the chatrooms or on the forum is given by our users and contributors, all volunteers.
!!!! - **Explain the context** of your request in a complete but concise way.
!!!! - It is paramount to **share the error logs with YunoPaste** (green buttons in your webadmin, then share the link to the generated page).
!!!! - **Be patient**, as your messages might not be seen instantly.

!! - Do not ask about your attempted solution but rather your actual problem (see [XY problem](https://xyproblem.info/)).
!! - Avoid phrases like "server does not want", "the app does not load", or other meaningless sentences.
!! - Do not trim error messages, but do not paste a wall of illegible unformatted code either. (Use [YunoPaste](https://paste.yunohost.org))
!! - Do not ask your question like a poll ("does anyone else succeeded in...?").
[/columns]

## Connect to the support chatroom

Please change your username, as we got legions of `ynhuser`s.

[center]
<iframe src="https://kiwiirc.com/nextclient/?settings=d7be8b3b102382f81da862419a65c9b1" style="width:100%;height:450px;border:0;display:block"></iframe>
[/center]

!!! **Note:** this room is available via
!!! - Matrix (`#yunohost:matrix.org` [using Element](https://riot.im/app/#/room/#yunohost:matrix.org?target=_blank))
!!! - IRC (`#yunohost` on libera.chat, [using kiwiirc](https://web.libera.chat/#yunohost))
!!! - XMPP (`support@conference.yunohost.org`)

## ... or ask on the forum !

Please follow the Support section post template. It helps everyone understand the context of your request.

[center]
[[fa=comment /] Go to the forum](https://forum.yunohost.org/?target=_blank&classes=btn,btn-lg,btn-success)
[/center]

## You've found a bug ?

!!!! Please report bugs on our bugtrackers or contact the developers

[center]

[[fa=exclamation-circle /] Report a bug in YunoHost's core](https://github.com/yunohost/issues/issues?target=_blank&classes=btn,btn-lg,btn-warning)
[[fa=exclamation-circle /] Report a bug in one of YunoHost's apps](https://github.com/YunoHost-Apps?target=_blank&classes=btn,btn-lg,btn-warning)
[[fa=comment /] Contact the developers](https://web.libera.chat/#yunohost-dev&classes=btn,btn-lg,btn-warning)

[/center]

!!! Note : you can also connect to the dev and apps chatrooms, see [the corresponding page](/chat_rooms)
